
/**************************************************************************
 **  
 ** Vector tools.  
 **/

vector<double> operator*(
  vector<double> &A, double b
){
  vector<double>::iterator it;
  vector<double> C;

  for ( it=A.begin() ; it < A.end(); it++ )
    C.push_back( (*it) * b );

  return(C);
}

vector<double> operator/(
  vector<double> &A, double b
){
  vector<double>::iterator it;
  vector<double> C;

  for ( it=A.begin() ; it < A.end(); it++ )
    C.push_back( (*it) / b );

  return(C);
}

vector<double> operator-(
  vector<double> &A, double b
){
  vector<double>::iterator it;
  vector<double> C;

  for ( it=A.begin() ; it < A.end(); it++ )
    C.push_back( (*it) - b );

  return(C);
}

vector<double> exp(
  vector<double> &A
){
  vector<double>::iterator it;
  vector<double> C;

  for ( it=A.begin() ; it < A.end(); it++ )
    C.push_back( exp(*it) );

  return(C);
  }

vector<double> operator^(
  vector<double> &A, double b
){
  vector<double>::iterator it;
  vector<double> C;

  for ( it=A.begin() ; it < A.end(); it++ )
    C.push_back( pow( (*it), b ) );

  return(C);
  }

vector<double> operator+(
  vector<double> &A, vector<double> &B
){
  vector<double>::iterator itA, itB = B.begin();
  vector<double> C;

  if( A.size() != B.size() )
    MESSAGE "Cannot add vectors of different sizes" ERROR;
  
  for ( itA =A.begin() ; itA < A.end(); itA++ ){
    C.push_back( (*itA) + (*itB) );
    itB++;
  }

  return(C);
  }

vector<double> operator*(
  vector<double> &A, vector<double> &B
){
  vector<double>::iterator itA, itB = B.begin();
  vector<double> C;

  if( A.size() != B.size() )
    MESSAGE "Cannot multiply vectors of different sizes" ERROR;
  
  for ( itA =A.begin() ; itA < A.end(); itA++ ){
    C.push_back( (*itA) * (*itB) );
    itB++;
  }

  return(C);
  }

double sum(
  vector<double> &A
){
  vector<double>::iterator it;

  double s=0;
  for ( it=A.begin() ; it < A.end(); it++ )
    s += (*it);

  return(s);
}
