{cat('######### Check that posterior for M matches prior when no data given #########'); T;}
{
  agam = 4;  rgam = 0.2;  frac = 0.01;
  eps = -log(1-frac)/rgam;      # About frac/Par$rgam, if frac small.
  area = 1                      # If no data is specified to the
                                # lrfRun function, the region will be
                                # given by xlim = (0,1), ylim = (0,1).
  EM = agam * area * e1( rgam * eps );

  lrfRun(ItnMax = 10000000, ItnBrn = 10000,
    JmpMax = 100, frac = frac,   
    SavMax = 3e3, 
    PriPar  = list(apre = 2, rpre = 10, 
                   dist = 2,
                   agam = agam,   
                   rgam = rgam),
    OutFile="test",
    dX = c(2, 3, 1), printStats = F);

  lrfmcmc <- getMcmc( McmcFile="test", coda.loc = "/home/gfs02/dbw59/rlibs" )

  pval <- chisq.gof(lrfmcmc[,1], cut.points = c(0, (10:20), 500), dist = "poisson", 
    lambda = EM)$p.value 

  pval > 0.01
}

