{cat('######### Check posterior mean surface with one data point #########'); T;}
{

  # If there is one data point the predicted surface should be equal
  # at points that are equidistant from the  
  # point with a large measurement, relative to when there is no
  # data.


  agam = 100;  rgam = 0.2;  frac = 0.01;  dist = 0.05;
  eps = -log(1-frac)/rgam;      # About frac/Par$rgam, if frac small.
  area = 1                      # If no data is specified to the
                                # lrfRun function, the region will be
                                # given by xlim = (0,1), ylim = (0,1).

  # Fit a surface using a data point with a large outcome value
  dat <- data.frame(x = 0.5, y = 0.5, z = 1000)
  lrfRun(Dat = dat, Bdy = BBox(x = c(0,1), y = c(0,1)),
    ItnMax = 1e6, ItnBrn = 1e4, TimMax = 5000,
    JmpMax = 1000, frac = frac,    
    SavMax = 1e4, 
    PriPar  = list(apre = 2, rpre = 10, 
                   dist = dist,
                   mbet = c(42,17), sbet=1.00, 
                   agam = agam,   
                   rgam = rgam),
    OutFile="test",
    dX = c(2, 3, 1), printStats = F);

  pred <- meanSurface( "test", x = c(0.3, 0.7, 0.3, 0.7), y=c(0.3, 0.3,
  0.7, 0.7) );

  return( diff( range( pred ) ) / mean( pred ) < 0.05 );  
}

